|
1.415.462.1982

Plug-in Compatibility: Final Cut Pro X 10.4

Plug-in Compatibility: Final Cut Pro X 10.4
News Dec 19, 2017 at 01:53 PM

We’re keeping an ongoing list of compatibility and non-compatibility with the latest release of FCP X 10.4. If you know of plug-ins that are not compatible please let us know.

CoreMelt

All plug-ins are compatible but you must only versions released after 9th Oct 2017 for proper functionality in High Sierra and FCP X 10.4. Read more from CoreMelt.

Red Giant - Updated

Plural Eyes

With a free update, PluralEyes 4 is now compatible with FCP X 10.4. Please update through Red Giant Link to install for the latest version of FCP X. If you are not using a current version of PluralEyes 4, please first update PluralEyes to the latest version and then use link to install the hot-fix.

Magic Bullet Suite 13 

Magic Bullet Suite 13 is compatible with FCP X 10.4. Feel free to update through Red Giant Link or with the latest installer.

Posted by Michele Yamazaki

TAGS